TMutexStat (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TMutexStat

- java.lang.Object
- - com.sleepycat.thrift.TMutexStat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TMutexStat>, org.apache.thrift.TBase<TMutexStat,TMutexStat._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TMutexStat
      extends java.lang.Object
      implements org.apache.thrift.TBase<TMutexStat,TMutexStat._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TMutexStat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TMutexStat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<TMutexStat._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `int` | `mutexAlign`
    `int` | `mutexCount`
    `int` | `mutexFree`
    `int` | `mutexInit`
    `int` | `mutexInuse`
    `int` | `mutexInuseMax`
    `int` | `mutexMax`
    `int` | `mutexTasSpins`
    `long` | `regionNowait`
    `long` | `regionWait`
    `long` | `regmax`
    `long` | `regSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TMutexStat()`
    `TMutexStat(int mutexAlign, int mutexCount, int mutexFree, int mutexInit, int mutexInuse, int mutexInuseMax, int mutexMax, int mutexTasSpins, long regionNowait, long regionWait, long regmax, long regSize)`
    `TMutexStat(TMutexStat other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TMutexStat other)`
    `TMutexStat` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TMutexStat that)`
    `TMutexStat._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(TMutexStat._Fields field)`
    `int` | `getMutexAlign()`
    `int` | `getMutexCount()`
    `int` | `getMutexFree()`
    `int` | `getMutexInit()`
    `int` | `getMutexInuse()`
    `int` | `getMutexInuseMax()`
    `int` | `getMutexMax()`
    `int` | `getMutexTasSpins()`
    `long` | `getRegionNowait()`
    `long` | `getRegionWait()`
    `long` | `getRegmax()`
    `long` | `getRegSize()`
    `int` | `hashCode()`
    `boolean` | `isSet(TMutexStat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMutexAlign()` Returns true if field mutexAlign is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMutexCount()` Returns true if field mutexCount is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMutexFree()` Returns true if field mutexFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMutexInit()` Returns true if field mutexInit is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMutexInuse()` Returns true if field mutexInuse is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMutexInuseMax()` Returns true if field mutexInuseMax is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMutexMax()` Returns true if field mutexMax is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMutexTasSpins()` Returns true if field mutexTasSpins is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegionNowait()` Returns true if field regionNowait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegionWait()` Returns true if field regionWait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegmax()` Returns true if field regmax is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegSize()` Returns true if field regSize is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(TMutexStat._Fields field, java.lang.Object value)`
    `TMutexStat` | `setMutexAlign(int mutexAlign)`
    `void` | `setMutexAlignIsSet(boolean value)`
    `TMutexStat` | `setMutexCount(int mutexCount)`
    `void` | `setMutexCountIsSet(boolean value)`
    `TMutexStat` | `setMutexFree(int mutexFree)`
    `void` | `setMutexFreeIsSet(boolean value)`
    `TMutexStat` | `setMutexInit(int mutexInit)`
    `void` | `setMutexInitIsSet(boolean value)`
    `TMutexStat` | `setMutexInuse(int mutexInuse)`
    `void` | `setMutexInuseIsSet(boolean value)`
    `TMutexStat` | `setMutexInuseMax(int mutexInuseMax)`
    `void` | `setMutexInuseMaxIsSet(boolean value)`
    `TMutexStat` | `setMutexMax(int mutexMax)`
    `void` | `setMutexMaxIsSet(boolean value)`
    `TMutexStat` | `setMutexTasSpins(int mutexTasSpins)`
    `void` | `setMutexTasSpinsIsSet(boolean value)`
    `TMutexStat` | `setRegionNowait(long regionNowait)`
    `void` | `setRegionNowaitIsSet(boolean value)`
    `TMutexStat` | `setRegionWait(long regionWait)`
    `void` | `setRegionWaitIsSet(boolean value)`
    `TMutexStat` | `setRegmax(long regmax)`
    `void` | `setRegmaxIsSet(boolean value)`
    `TMutexStat` | `setRegSize(long regSize)`
    `void` | `setRegSizeIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetMutexAlign()`
    `void` | `unsetMutexCount()`
    `void` | `unsetMutexFree()`
    `void` | `unsetMutexInit()`
    `void` | `unsetMutexInuse()`
    `void` | `unsetMutexInuseMax()`
    `void` | `unsetMutexMax()`
    `void` | `unsetMutexTasSpins()`
    `void` | `unsetRegionNowait()`
    `void` | `unsetRegionWait()`
    `void` | `unsetRegmax()`
    `void` | `unsetRegSize()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mutexAlign

          public int mutexAlign

    - #### mutexCount

          public int mutexCount

    - #### mutexFree

          public int mutexFree

    - #### mutexInit

          public int mutexInit

    - #### mutexInuse

          public int mutexInuse

    - #### mutexInuseMax

          public int mutexInuseMax

    - #### mutexMax

          public int mutexMax

    - #### mutexTasSpins

          public int mutexTasSpins

    - #### regionNowait

          public long regionNowait

    - #### regionWait

          public long regionWait

    - #### regmax

          public long regmax

    - #### regSize

          public long regSize

    - #### metaDataMap

          public static final java.util.Map<TMutexStat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TMutexStat

          public TMutexStat()

    - #### TMutexStat

          public TMutexStat(int mutexAlign,
                            int mutexCount,
                            int mutexFree,
                            int mutexInit,
                            int mutexInuse,
                            int mutexInuseMax,
                            int mutexMax,
                            int mutexTasSpins,
                            long regionNowait,
                            long regionWait,
                            long regmax,
                            long regSize)

    - #### TMutexStat

          public TMutexStat(TMutexStat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TMutexStat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TMutexStat,TMutexStat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TMutexStat,TMutexStat._Fields>`

    - #### getMutexAlign

          public int getMutexAlign()

    - #### setMutexAlign

          public TMutexStat setMutexAlign(int mutexAlign)

    - #### unsetMutexAlign

          public void unsetMutexAlign()

    - #### isSetMutexAlign

          public boolean isSetMutexAlign()

      Returns true if field mutexAlign is set (has been assigned a value) and false otherwise

    - #### setMutexAlignIsSet

          public void setMutexAlignIsSet(boolean value)

    - #### getMutexCount

          public int getMutexCount()

    - #### setMutexCount

          public TMutexStat setMutexCount(int mutexCount)

    - #### unsetMutexCount

          public void unsetMutexCount()

    - #### isSetMutexCount

          public boolean isSetMutexCount()

      Returns true if field mutexCount is set (has been assigned a value) and false otherwise

    - #### setMutexCountIsSet

          public void setMutexCountIsSet(boolean value)

    - #### getMutexFree

          public int getMutexFree()

    - #### setMutexFree

          public TMutexStat setMutexFree(int mutexFree)

    - #### unsetMutexFree

          public void unsetMutexFree()

    - #### isSetMutexFree

          public boolean isSetMutexFree()

      Returns true if field mutexFree is set (has been assigned a value) and false otherwise

    - #### setMutexFreeIsSet

          public void setMutexFreeIsSet(boolean value)

    - #### getMutexInit

          public int getMutexInit()

    - #### setMutexInit

          public TMutexStat setMutexInit(int mutexInit)

    - #### unsetMutexInit

          public void unsetMutexInit()

    - #### isSetMutexInit

          public boolean isSetMutexInit()

      Returns true if field mutexInit is set (has been assigned a value) and false otherwise

    - #### setMutexInitIsSet

          public void setMutexInitIsSet(boolean value)

    - #### getMutexInuse

          public int getMutexInuse()

    - #### setMutexInuse

          public TMutexStat setMutexInuse(int mutexInuse)

    - #### unsetMutexInuse

          public void unsetMutexInuse()

    - #### isSetMutexInuse

          public boolean isSetMutexInuse()

      Returns true if field mutexInuse is set (has been assigned a value) and false otherwise

    - #### setMutexInuseIsSet

          public void setMutexInuseIsSet(boolean value)

    - #### getMutexInuseMax

          public int getMutexInuseMax()

    - #### setMutexInuseMax

          public TMutexStat setMutexInuseMax(int mutexInuseMax)

    - #### unsetMutexInuseMax

          public void unsetMutexInuseMax()

    - #### isSetMutexInuseMax

          public boolean isSetMutexInuseMax()

      Returns true if field mutexInuseMax is set (has been assigned a value) and false otherwise

    - #### setMutexInuseMaxIsSet

          public void setMutexInuseMaxIsSet(boolean value)

    - #### getMutexMax

          public int getMutexMax()

    - #### setMutexMax

          public TMutexStat setMutexMax(int mutexMax)

    - #### unsetMutexMax

          public void unsetMutexMax()

    - #### isSetMutexMax

          public boolean isSetMutexMax()

      Returns true if field mutexMax is set (has been assigned a value) and false otherwise

    - #### setMutexMaxIsSet

          public void setMutexMaxIsSet(boolean value)

    - #### getMutexTasSpins

          public int getMutexTasSpins()

    - #### setMutexTasSpins

          public TMutexStat setMutexTasSpins(int mutexTasSpins)

    - #### unsetMutexTasSpins

          public void unsetMutexTasSpins()

    - #### isSetMutexTasSpins

          public boolean isSetMutexTasSpins()

      Returns true if field mutexTasSpins is set (has been assigned a value) and false otherwise

    - #### setMutexTasSpinsIsSet

          public void setMutexTasSpinsIsSet(boolean value)

    - #### getRegionNowait

          public long getRegionNowait()

    - #### setRegionNowait

          public TMutexStat setRegionNowait(long regionNowait)

    - #### unsetRegionNowait

          public void unsetRegionNowait()

    - #### isSetRegionNowait

          public boolean isSetRegionNowait()

      Returns true if field regionNowait is set (has been assigned a value) and false otherwise

    - #### setRegionNowaitIsSet

          public void setRegionNowaitIsSet(boolean value)

    - #### getRegionWait

          public long getRegionWait()

    - #### setRegionWait

          public TMutexStat setRegionWait(long regionWait)

    - #### unsetRegionWait

          public void unsetRegionWait()

    - #### isSetRegionWait

          public boolean isSetRegionWait()

      Returns true if field regionWait is set (has been assigned a value) and false otherwise

    - #### setRegionWaitIsSet

          public void setRegionWaitIsSet(boolean value)

    - #### getRegmax

          public long getRegmax()

    - #### setRegmax

          public TMutexStat setRegmax(long regmax)

    - #### unsetRegmax

          public void unsetRegmax()

    - #### isSetRegmax

          public boolean isSetRegmax()

      Returns true if field regmax is set (has been assigned a value) and false otherwise

    - #### setRegmaxIsSet

          public void setRegmaxIsSet(boolean value)

    - #### getRegSize

          public long getRegSize()

    - #### setRegSize

          public TMutexStat setRegSize(long regSize)

    - #### unsetRegSize

          public void unsetRegSize()

    - #### isSetRegSize

          public boolean isSetRegSize()

      Returns true if field regSize is set (has been assigned a value) and false otherwise

    - #### setRegSizeIsSet

          public void setRegSizeIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TMutexStat._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TMutexStat,TMutexStat._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TMutexStat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TMutexStat,TMutexStat._Fields>`

    - #### isSet

          public boolean isSet(TMutexStat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TMutexStat,TMutexStat._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TMutexStat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TMutexStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TMutexStat>`

    - #### fieldForId

          public TMutexStat._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TMutexStat,TMutexStat._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.